package net.sf.sql2java.common.configuration;

import java.util.Properties;

import org.apache.commons.configuration.Configuration;

public abstract class ConfigurationHelper {

	public static Properties readProperties(Configuration configuration) {
		// -- create the result
		Properties result = new Properties();
		
		int propertySize = configuration.getList("property[@name]").size();
		for (int i = 0; i < propertySize; i++) {
			// -- get the property key and value
			String key = configuration.getString(String.format("property(%d)[@name]", i));
			String value = configuration.getString(String.format("property(%d)[@value]", i));
			
			// -- set the property
			result.setProperty(key, value);
		}
		
		// -- return the result
		return result;
	}
}
