package net.sf.sql2java.common.beans;

import java.util.Properties;

public abstract class SourceFilter {
	private Properties properties;
	
// -- Constructors ------------------------------------------------------------
	
	public SourceFilter() {
		this.properties = new Properties();
	}
	
// -- Matching Mehods ---------------------------------------------------------
	
	public abstract boolean match(BreadCrumbs breadcumbs);
	
// -- Proprerty Handlers ------------------------------------------------------
	
	public void setProperty(String name, String value) {
		properties.setProperty(name, value);
	}
	
	public String getProperty(String name) {
		return properties.getProperty(name);
	}
	
	public String getProperty(String name, String defaultValue) {
		return properties.getProperty(name, defaultValue);
	}
	
// -- Setters -----------------------------------------------------------------
	
	public void setProperties(Properties properties) {
		this.properties = properties;
	}
}
