package net.sf.sql2java.conversion;

import net.sf.sql2java.common.parameters.StringParser;
import net.sf.sql2java.common.parameters.handlers.SimpleParameterHandler;

/**
 *
 * @author dge2
 */
public class Keyword {
    private String name;
    private KeywordGroup group;

// -- Replace -----------------------------------------------------------------
    
    public String translate() {
    	// -- create the parser
    	StringParser parser = new StringParser(
    			new SimpleParameterHandler("keyword", name)
    	);
    	
    	// -- parse the transformation
    	return parser.parse(group.getTransform());
    }
    
// -- Getters -----------------------------------------------------------------
    
    public String getName() {
        return name;
    }
    
    public KeywordGroup getGroup() {
        return group;
    }
    
// -- Setters -----------------------------------------------------------------
    
    public void setName(String name) {
        this.name = name;
    }
    
    public void setGroup(KeywordGroup group) {
        this.group = group;
    }
}
